# arm_dct4_init_q15.c File Reference

`#include "arm_math.h"`

Go to the source code of this file.

## Functions

arm_status | arm_dct4_init_q15 (arm_dct4_instance_q15 *S, arm_rfft_instance_q15 *S_RFFT, arm_cfft_radix4_instance_q15 *S_CFFT, uint16_t N, uint16_t Nby2, q15_t normalize)

## Variables

static const q15_t | WeightsQ15_128 [256]
static const q15_t | WeightsQ15_512 [1024]
static const q15_t | WeightsQ15_2048 [4096]
static const q15_t | cos_factorsQ15_128 [128]
static const q15_t | cos_factorsQ15_512 [512]
static const q15_t | cos_factorsQ15_2048 [2048]

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines